Loading...
Searching...
No Matches
Dune::GeneralPreconditionerMaker< OriginalPreconditioner > Struct Template Referenceabstract

Interface class ensuring make function is overriden. More...

`#include <PreconditionerWithUpdate.hpp>`

Inheritance diagram for Dune::GeneralPreconditionerMaker< OriginalPreconditioner >:

## Public Member Functions

virtual std::unique_ptr< Preconditioner< typename OriginalPreconditioner::domain_type, typename OriginalPreconditioner::range_type > > | make ()=0

## Detailed Description

template<class OriginalPreconditioner>
struct Dune::GeneralPreconditionerMaker< OriginalPreconditioner >

Interface class ensuring make function is overriden.

Template Parameters

  OriginalPreconditioner | - An arbitrary Preconditioner type

The documentation for this struct was generated from the following file:

- opm/simulators/linalg/PreconditionerWithUpdate.hpp